{% extends 'base.html' %}
{% block title %}
Competencies
{% endblock %}

{% block content %}
    <h1> COMPETENCIES </h1>
    <a class="link-button" href="{{ url_for('courseComp.add_competency') }}">Add competency</a>
    <div id="search-filter">
        <form method="post">
            {{ form.csrf_token }}   
            {{ form.searchbar() }}
            {{ form.submit() }}
        </form>
    </div>
    <div id='competencies'>
        {% for comp in competencies %}
        
            <div class='competency' id='{{ comp.competency_id }}'>
                <div class='competency_header'>
                    <div class="comp_id"><a href="{{  url_for('courseComp.specific_competency', competency_id=comp.competency_id)  }}">{{ comp.competency_id }}</a></div>
                    <div class="comp_name">{{ comp.competency }}</div>
                    <div class="comp_type"> {{ comp.competency_type }}</div>
                </div>
                <div class='comp_achievement'>{{ comp.competency_achievement }}</div>
                
            </div>

        {% endfor %}
    </div>
{% endblock %}